<?php

namespace Drupal\zoomapi;

use Drupal\Core\DependencyInjection\ContainerBuilder;
use Drupal\Core\DependencyInjection\ServiceProviderBase;
use Symfony\Component\DependencyInjection\ChildDefinition;

/**
 * Dynamically adds the apitools.client_base service.
 */
class ZoomapiServiceProvider extends ServiceProviderBase {

  /**
   * {@inheritdoc}
   */
  public function alter(ContainerBuilder $container) {
    if ($container->hasDefinition('apitools.client_base')) {
      $definition = new ChildDefinition('apitools.client_base');
      $definition->setClass('Drupal\zoomapi\Plugin\ApiTools\Client')
        ->addArgument('zoomapi')
        ->setProperty('id', 'zoomapi.client');
      // Add the definition to the container.
      $container->setDefinition('zoomapi.client', $definition);
    }
  }
}
